using System;
using System.Collections.Generic;
using System.Text;
using Model;
using ImpDDal;
using IDDal;
/*********菜肴评论的业务逻辑层***********
 * 关于菜肴评论的增加,查询
 * 类设计者:魏莹
 * 设计时间5月30日
 ***************************************/
namespace Business
{
    /// <summary>
    /// 菜肴评论操作的类
    /// </summary>
    public class BItemMsg
    {
        IItemMsg<ItemMsg> itemMsgOp = new ImpItemMsg();
        /// <summary>
        /// 增加一条菜肴评论
        /// </summary>
        /// <param name="itemMsg">评论对象</param>
        /// <returns>1增加评论成功,0增加评论失败</returns>
        public int AddItemMsg(ItemMsg itemMsg)
        {
            try
            {
                return itemMsgOp.AddItemMsg(itemMsg);
            }
            catch (Exception ex)
            {
                
                throw new Exception(ex.Message);
            }
        }

        /// <summary>
        /// 查询某个菜肴的所有评论
        /// </summary>
        /// <param name="itemId">菜肴ID</param>
        /// <returns>评论集合</returns>
        public IList<ItemMsg> GetItemMsg(long itemId)
        {
            try
            {
                return itemMsgOp.GetItemMsg(itemId);
            }
            catch (Exception ex)
            {
                
                throw new Exception(ex.Message);
            }
        }

    }
}
